Module java.desktop
Package javax.swing.plaf.basic

# Class BasicTreeUI.TreeSelectionHandler

java.lang.Object
javax.swing.plaf.basic.BasicTreeUI.TreeSelectionHandler

All Implemented Interfaces:
  `EventListener`, `TreeSelectionListener`

Enclosing class:
  BasicTreeUI

public class BasicTreeUI.TreeSelectionHandler extends Object implements TreeSelectionListener
Listens for changes in the selection model and updates the display accordingly.

## Constructor Summary

Constructors
Constructor
Description
`TreeSelectionHandler()`
Constructs a `TreeSelectionHandler`.

## Method Summary

Modifier and Type
Method
Description
`void`
`valueChanged​(TreeSelectionEvent event)`
Messaged when the selection changes in the tree we're displaying for.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TreeSelectionHandler

public TreeSelectionHandler()
Constructs a `TreeSelectionHandler`.

## Method Details

### valueChanged

public void valueChanged​(TreeSelectionEvent event)
Messaged when the selection changes in the tree we're displaying for. Stops editing, messages super and displays the changed paths.

Specified by:
  `valueChanged` in interface `TreeSelectionListener`
Parameters:
  `event` - the event that characterizes the change.